com.impinj.octane

## Class TagImpinjAuthenticateOpResult

- java.lang.Object
- - com.impinj.octane.TagOpResult
  - - com.impinj.octane.TagImpinjAuthenticateOpResult

-     public class TagImpinjAuthenticateOpResult
      extends TagOpResult

  Used to report the status of authenticate operations

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagImpinjAuthenticateOpResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TagData` | `getChallengeMessage()`
    `java.lang.String` | `getErrorMessage()`
    `TagData` | `getResponseCypherMessage()`
    `TagData` | `getResponseTid()`
    `ImpinjAuthenticateResult` | `getResult()`
    `void` | `setChallengeMessage(TagData challengeMessage)`
    `protected void` | `setResult(ImpinjAuthenticateResult result)` Set the results of the Impinj authenticate operation.

    - ### Methods inherited from class com.impinj.octane.TagOpResult

      `getOpId, getSequenceId, getTag, setOpId, setSequenceId, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagImpinjAuthenticateOpResult

          public TagImpinjAuthenticateOpResult()

  - ### Method Detail

    - #### getResult

          public ImpinjAuthenticateResult getResult()

      Returns:
        The results of the Impinj authenticate operation.

    - #### setResult

          protected void setResult(ImpinjAuthenticateResult result)

      Set the results of the Impinj authenticate operation.
      Parameters:
        `result` - the results of the Impinj authenticate operation.

    - #### getChallengeMessage

          public TagData getChallengeMessage()

      Returns:
        The original challenge as sent to the reader with the correct header

    - #### setChallengeMessage

          public void setChallengeMessage(TagData challengeMessage)

    - #### getResponseCypherMessage

          public TagData getResponseCypherMessage()

      Returns:
        The encrypted message response

    - #### getResponseTid

          public TagData getResponseTid()

      Returns:
        The Tid returned if IncludeTidInReply was set to true

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Returns:
        The error message generated when a response can't be matched to an authenticate request